ubuntu/+source/apturl:ubuntu/cosmic-proposed

Last commit made on 2018-09-17
Get this branch:
git clone -b ubuntu/cosmic-proposed https://git.launchpad.net/ubuntu/+source/apturl
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/cosmic-proposed
Repository:
lp:ubuntu/+source/apturl

Recent commits

3fa4a90... by Vlad Orlov on 2018-08-27

Import patches-unapplied version 0.5.2ubuntu16 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: d0b577ecc743f06d3336127ca8cd6705d3a088cd

New changelog entries:
  * Switch Synaptic backend from gksu to pkexec to fix Synaptic launch
    (LP: #1338482)

d0b577e... by Vlad Orlov on 2018-04-21

Import patches-unapplied version 0.5.2ubuntu15 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: 64c790e7b685589e7453490d7c779e470c1432d1

New changelog entries:
  * Make Synaptic backend actually work (LP: #1338482).

64c790e... by Simon Quigley on 2018-03-17

Import patches-unapplied version 0.5.2ubuntu14 to ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: 666a20bce6f42df450bfaf9e8e3349d58d551299

New changelog entries:
  * Comment out the KDE frontend in debian/control so we can remove pykde4
    from the archive (LP: #1745741).

666a20b... by Iain Lane on 2017-10-23

Import patches-unapplied version 0.5.2ubuntu13 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: cf53953aaa3e0e2bdf91d76d4caeaf2ebe3fb3d1

New changelog entries:
  * AptUrl/parser.py: Strip trailing slashes that are added by xdg-open/gio
    and which make package names invalid. (LP: #1726327)

cf53953... by Mathieu Trudel-Lapierre on 2016-05-20

Import patches-unapplied version 0.5.2ubuntu12 to ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: b0e9a404ef3ba57039fe6dd43f795f3275acc6e2

New changelog entries:
  * Fix common crashes (AttributeError in doEnableChannel), due to changes
    in apt_pkg API, etc. (LP: #1566201)
  [ Brian Murray ]
  * Port to proper apt_pkg APIs.
  [ Mathieu Trudel-Lapierre ]
  * Override the start_available and start_error functions from Aptdaemon
    backend correctly to match the passed parameters.
  * Use pkexec rather than gksu to do our external calls to apt-key, install,
    and software-properties, etc; since they need admin privileges.

b0e9a40... by Iain Lane on 2016-01-13

Import patches-unapplied version 0.5.2ubuntu11 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 653c0a9576add4049ba8817e518d4166a7eca39c

New changelog entries:
  * Drop webkit1 support, we're switching to pure webkit2 now

653c0a9... by Sebastien Bacher on 2015-12-16

Import patches-unapplied version 0.5.2ubuntu10 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 9fb6b74603c838f71fe60d94bc19ed367c65171a

New changelog entries:
  * debian/apturl.install:
    - don't install the gconf schemas, it's probably useful to no one
      nowadays (would only work for applications using the GNOME2 libgnome)
      and creates a depends on gconf which we want to drop from the iso

9fb6b74... by Sebastien Bacher on 2015-10-15

Import patches-unapplied version 0.5.2ubuntu9 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 80ec485c1e31de2a6fc8ee32da729edded0160b8

New changelog entries:
  * data/apturl-gtk.ui: set the dimension on the scrolledwindow rather
    than the textview so the description is showing with a non zero height

80ec485... by Iain Lane on 2015-06-30

Import patches-unapplied version 0.5.2ubuntu8 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 1f42857c4c6b017aba919fe605ce4ecfb5bb1ddd

New changelog entries:
  * Use webkit2 in addition to webkit1. (LP: #1469221)

1f42857... by Zygmunt Krynicki on 2015-06-26

Import patches-unapplied version 0.5.2ubuntu7 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: fd99d659cb0a876e733ce75bb9d9bde5dc8fdfbb

New changelog entries:
  * Don't include Debian version in the python module version (LP: #1465549)